<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowanyRachunekZyskowIStrat" xlink:href="Alior-2024-12-31.xsd#SkonsolidowanyRachunekZyskowIStrat" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowaneSprawozdanieZCalkowitychDochodow" xlink:href="Alior-2024-12-31.xsd#SkonsolidowaneSprawozdanieZCalkowitychDochodow" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowaneSprawozdanieZSytuacjiFinansowej" xlink:href="Alior-2024-12-31.xsd#SkonsolidowaneSprawozdanieZSytuacjiFinansowej" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowaneSprawozdanieZeZmianWKapitaleWlasnym" xlink:href="Alior-2024-12-31.xsd#SkonsolidowaneSprawozdanieZeZmianWKapitaleWlasnym" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowaneSprawozdanieZPrzeplywowPienieznych" xlink:href="Alior-2024-12-31.xsd#SkonsolidowaneSprawozdanieZPrzeplywowPienieznych" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <calculationLink xlink:role="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowanyRachunekZyskowIStrat" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestRevenueExpense" xlink:label="ifrs-full_InterestRevenueExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestRevenueCalculatedUsingEffectiveInterestMethod" xlink:label="ifrs-full_InterestRevenueCalculatedUsingEffectiveInterestMethod" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_InterestRevenueForFinancialAssetsMeasuredAtFairValueThroughProfitOrLoss" xlink:label="Alior_InterestRevenueForFinancialAssetsMeasuredAtFairValueThroughProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestExpense" xlink:label="ifrs-full_InterestExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FeeAndCommissionIncomeExpense" xlink:label="ifrs-full_FeeAndCommissionIncomeExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FeeAndCommissionIncome" xlink:label="ifrs-full_FeeAndCommissionIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FeeAndCommissionExpense" xlink:label="ifrs-full_FeeAndCommissionExpense" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_GainLossArisingFromDerecognitionOfFinancialAssetsNotMeasuredAtFairValueThroughProfitOrLoss" xlink:label="Alior_GainLossArisingFromDerecognitionOfFinancialAssetsNotMeasuredAtFairValueThroughProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:label="Alior_GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost" xlink:label="ifrs-full_GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherOperatingIncomeExpense" xlink:label="ifrs-full_OtherOperatingIncomeExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_MiscellaneousOtherOperatingIncome" xlink:label="ifrs-full_MiscellaneousOtherOperatingIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_MiscellaneousOtherOperatingExpense" xlink:label="ifrs-full_MiscellaneousOtherOperatingExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GeneralAndAdministrativeExpense" xlink:label="ifrs-full_GeneralAndAdministrativeExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:label="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_LegalRiskOfForeignCurrencyMortgageLoansExpense" xlink:label="Alior_LegalRiskOfForeignCurrencyMortgageLoansExpense" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_BankingTax" xlink:label="Alior_BankingTax" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueFromDividends" xlink:label="ifrs-full_RevenueFromDividends" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossAndNetForeignExchangeGainLoss" xlink:label="Alior_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossAndNetForeignExchangeGainLoss" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="ifrs-full_ProfitLossFromContinuingOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_InterestRevenueExpense" xlink:to="ifrs-full_InterestRevenueCalculatedUsingEffectiveInterestMethod" order="2" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_InterestRevenueExpense" xlink:to="Alior_InterestRevenueForFinancialAssetsMeasuredAtFairValueThroughProfitOrLoss" order="3" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_InterestRevenueExpense" xlink:to="ifrs-full_InterestExpense" order="4" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_FeeAndCommissionIncomeExpense" xlink:to="ifrs-full_FeeAndCommissionIncome" order="6" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_FeeAndCommissionIncomeExpense" xlink:to="ifrs-full_FeeAndCommissionExpense" order="7" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_GainLossArisingFromDerecognitionOfFinancialAssetsNotMeasuredAtFairValueThroughProfitOrLoss" xlink:to="Alior_GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" order="12" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_GainLossArisingFromDerecognitionOfFinancialAssetsNotMeasuredAtFairValueThroughProfitOrLoss" xlink:to="ifrs-full_GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost" order="13" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherOperatingIncomeExpense" xlink:to="ifrs-full_MiscellaneousOtherOperatingIncome" order="14" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherOperatingIncomeExpense" xlink:to="ifrs-full_MiscellaneousOtherOperatingExpense" order="15" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_InterestRevenueExpense" order="5" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_FeeAndCommissionIncomeExpense" order="8" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="Alior_GainLossArisingFromDerecognitionOfFinancialAssetsNotMeasuredAtFairValueThroughProfitOrLoss" order="11" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_OtherOperatingIncomeExpense" order="16" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_GeneralAndAdministrativeExpense" order="17" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" order="18" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" order="19" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="Alior_LegalRiskOfForeignCurrencyMortgageLoansExpense" order="20" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="Alior_BankingTax" order="21" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_RevenueFromDividends" order="9" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="Alior_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossAndNetForeignExchangeGainLoss" order="10" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromContinuingOperations" xlink:to="ifrs-full_ProfitLossBeforeTax" order="22" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromContinuingOperations" xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations" order="23" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowaneSprawozdanieZCalkowitychDochodow" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:label="ifrs-full_IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" xlink:label="ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" xlink:label="ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="ifrs-full_ProfitLossFromContinuingOperations" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" order="4" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" order="5" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" order="8" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" order="6" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:to="ifrs-full_IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" order="7" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:to="ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" order="9" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:to="ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" order="10" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" order="3" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_ProfitLossFromContinuingOperations" order="2" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowaneSprawozdanieZSytuacjiFinansowej" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_InvestmentFinancialAssets" xlink:label="Alior_InvestmentFinancialAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:label="ifrs-full_FinancialAssetsAtFairValueThroughOtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_DebtFinancialAssetsMeasuredAtAmortisedCost" xlink:label="Alior_DebtFinancialAssetsMeasuredAtAmortisedCost" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_CurrentTaxAssetAndNetDeferredTaxAssets" xlink:label="Alior_CurrentTaxAssetAndNetDeferredTaxAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxAssets" xlink:label="ifrs-full_CurrentTaxAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NetDeferredTaxAssets" xlink:label="ifrs-full_NetDeferredTaxAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LoansAndAdvancesToBanks" xlink:label="ifrs-full_LoansAndAdvancesToBanks" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DerivativeFinancialAssetsHeldForHedging" xlink:label="ifrs-full_DerivativeFinancialAssetsHeldForHedging" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LoansAndAdvancesToCustomers" xlink:label="ifrs-full_LoansAndAdvancesToCustomers" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral" xlink:label="ifrs-full_NoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_PropertyPlantAndEquipmentAndRightOfUseAsset" xlink:label="Alior_PropertyPlantAndEquipmentAndRightOfUseAsset" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="ifrs-full_IntangibleAssetsAndGoodwill" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAssets" xlink:label="ifrs-full_OtherAssets" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_CurrentAndDeferredTaxLiabilities" xlink:label="Alior_CurrentAndDeferredTaxLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilities" xlink:label="ifrs-full_CurrentTaxLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NetDeferredTaxLiabilities" xlink:label="ifrs-full_NetDeferredTaxLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_LiabilitiesTowardsBanks" xlink:label="Alior_LiabilitiesTowardsBanks" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_LiabilitiesTowardsCustomers" xlink:label="Alior_LiabilitiesTowardsCustomers" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" xlink:label="ifrs-full_FinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DerivativeFinancialLiabilitiesHeldForHedging" xlink:label="ifrs-full_DerivativeFinancialLiabilitiesHeldForHedging" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountLiabilities" xlink:label="ifrs-full_AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Provisions" xlink:label="ifrs-full_Provisions" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherLiabilities" xlink:label="ifrs-full_OtherLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SubordinatedLiabilities" xlink:label="ifrs-full_SubordinatedLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DebtSecurities" xlink:label="ifrs-full_DebtSecurities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_StatutoryReserve" xlink:label="ifrs-full_StatutoryReserve" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_OtherReservesGainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeGainsLossesOnCashFlowHedges" xlink:label="Alior_OtherReservesGainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeGainsLossesOnCashFlowHedges" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_OtherCapital" xlink:label="Alior_OtherCapital" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarningsExcludingProfitLossForReportingPeriod" xlink:label="ifrs-full_RetainedEarningsExcludingProfitLossForReportingPeriod" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarningsProfitLossForReportingPeriod" xlink:label="ifrs-full_RetainedEarningsProfitLossForReportingPeriod" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" />
    <calculationArc xlink:type="arc" xlink:from="Alior_InvestmentFinancialAssets" xlink:to="ifrs-full_FinancialAssetsAtFairValueThroughOtherComprehensiveIncome" order="5" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_InvestmentFinancialAssets" xlink:to="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss" order="6" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_InvestmentFinancialAssets" xlink:to="Alior_DebtFinancialAssetsMeasuredAtAmortisedCost" order="7" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CurrentTaxAssetAndNetDeferredTaxAssets" xlink:to="ifrs-full_CurrentTaxAssets" order="14" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CurrentTaxAssetAndNetDeferredTaxAssets" xlink:to="ifrs-full_NetDeferredTaxAssets" order="15" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_CashAndCashEquivalents" order="2" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_LoansAndAdvancesToBanks" order="3" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="Alior_InvestmentFinancialAssets" order="4" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_DerivativeFinancialAssetsHeldForHedging" order="8" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_LoansAndAdvancesToCustomers" order="9" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_NoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral" order="10" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="Alior_PropertyPlantAndEquipmentAndRightOfUseAsset" order="11" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_IntangibleAssetsAndGoodwill" order="12" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="Alior_CurrentTaxAssetAndNetDeferredTaxAssets" order="13" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_OtherAssets" order="16" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CurrentAndDeferredTaxLiabilities" xlink:to="ifrs-full_CurrentTaxLiabilities" order="10" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CurrentAndDeferredTaxLiabilities" xlink:to="ifrs-full_NetDeferredTaxLiabilities" order="11" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="Alior_LiabilitiesTowardsBanks" order="2" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="Alior_LiabilitiesTowardsCustomers" order="3" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_FinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" order="4" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_DerivativeFinancialLiabilitiesHeldForHedging" order="5" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountLiabilities" order="6" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_Provisions" order="7" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_OtherLiabilities" order="8" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="Alior_CurrentAndDeferredTaxLiabilities" order="9" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_SubordinatedLiabilities" order="13" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_DebtSecurities" order="12" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_StatutoryReserve" order="16" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="Alior_OtherReservesGainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeGainsLossesOnCashFlowHedges" order="17" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="Alior_OtherCapital" order="18" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" order="19" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_RetainedEarningsExcludingProfitLossForReportingPeriod" order="20" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_IssuedCapital" order="15" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_RetainedEarningsProfitLossForReportingPeriod" order="21" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_Liabilities" order="14" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_Equity" order="22" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowaneSprawozdanieZeZmianWKapitaleWlasnym" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="ifrs-full_ProfitLossFromContinuingOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_ProfitLossFromContinuingOperations" order="6" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" order="7" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://www.aliorbank.pl/xbrl/2024/roles/SkonsolidowaneSprawozdanieZPrzeplywowPienieznych" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:label="ifrs-full_AdjustmentsForReconcileProfitLoss" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:label="ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_InterestIncomeOperatingCashFlow" xlink:label="Alior_InterestIncomeOperatingCashFlow" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:label="ifrs-full_InterestReceivedClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="ifrs-full_InterestPaidClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDividendIncome" xlink:label="ifrs-full_AdjustmentsForDividendIncome" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:label="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_ProfitLossBeforeDecreasesIncreasesInBalanceSheetItems" xlink:label="Alior_ProfitLossBeforeDecreasesIncreasesInBalanceSheetItems" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_AdjustmentForIncreaseDecreaseInLoansAndAdvances" xlink:label="Alior_AdjustmentForIncreaseDecreaseInLoansAndAdvances" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:label="Alior_AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="Alior_AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_AdjustmentForIncreaseDecreaseInAssetsPledgedAsCollateral" xlink:label="Alior_AdjustmentForIncreaseDecreaseInAssetsPledgedAsCollateral" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_AdjustmentForDecreaseIncreaseInAssetsHeldForSale" xlink:label="Alior_AdjustmentForDecreaseIncreaseInAssetsHeldForSale" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherAssets" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherAssets" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_AdjustmentForIncreaseDecreaseInDeposits" xlink:label="Alior_AdjustmentForIncreaseDecreaseInDeposits" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_AdjustmentForIncreaseDecreaseInIssuedDebt" xlink:label="Alior_AdjustmentForIncreaseDecreaseInIssuedDebt" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesHeldForTrading" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesHeldForTrading" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_AdjustmentForIncreaseDecreaseInDerivativesHeldForHedging" xlink:label="Alior_AdjustmentForIncreaseDecreaseInDerivativesHeldForHedging" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="ifrs-full_AdjustmentsForProvisions" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_AdjustmentForShortTermLeasePayments" xlink:label="Alior_AdjustmentForShortTermLeasePayments" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:label="ifrs-full_OutflowsOfCashFromInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_PurchaseOfFinancialAssetsAtAmortisedCost" xlink:label="Alior_PurchaseOfFinancialAssetsAtAmortisedCost" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InflowsOfCashFromInvestingActivities" xlink:label="ifrs-full_InflowsOfCashFromInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_ProceedsFromSalesOfFinancialAssetsAtAmortisedCost" xlink:label="Alior_ProceedsFromSalesOfFinancialAssetsAtAmortisedCost" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_CashFlowsFromUsedInFinancingActivitiesOutflows" xlink:label="Alior_CashFlowsFromUsedInFinancingActivitiesOutflows" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_RepaymentsOfSubordinatedLiabilitiesPrincipal" xlink:label="Alior_RepaymentsOfSubordinatedLiabilitiesPrincipal" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_RepaymentsOfSubordinatedLiabilitiesInterest" xlink:label="Alior_RepaymentsOfSubordinatedLiabilitiesInterest" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_LeasePaymentsPrincipal" xlink:label="Alior_LeasePaymentsPrincipal" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_LeasePaymentsInterest" xlink:label="Alior_LeasePaymentsInterest" />
    <loc xlink:type="locator" xlink:href="Alior-2024-12-31.xsd#Alior_CashFlowsFromUsedInFinancingActivitiesInflows" xlink:label="Alior_CashFlowsFromUsedInFinancingActivitiesInflows" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures" xlink:label="ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:to="ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" order="5" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:to="ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" order="6" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:to="ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" order="7" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:to="Alior_InterestIncomeOperatingCashFlow" order="8" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:to="ifrs-full_InterestReceivedClassifiedAsOperatingActivities" order="9" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:to="ifrs-full_InterestPaidClassifiedAsOperatingActivities" order="10" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:to="ifrs-full_AdjustmentsForDividendIncome" order="11" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="Alior_ProfitLossBeforeDecreasesIncreasesInBalanceSheetItems" order="12" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="Alior_AdjustmentForIncreaseDecreaseInLoansAndAdvances" order="13" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="Alior_AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" order="14" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="Alior_AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughProfitOrLoss" order="15" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="Alior_AdjustmentForIncreaseDecreaseInAssetsPledgedAsCollateral" order="16" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="Alior_AdjustmentForDecreaseIncreaseInAssetsHeldForSale" order="17" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherAssets" order="18" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="Alior_AdjustmentForIncreaseDecreaseInDeposits" order="19" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="Alior_AdjustmentForIncreaseDecreaseInIssuedDebt" order="20" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesHeldForTrading" order="21" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="Alior_AdjustmentForIncreaseDecreaseInDerivativesHeldForHedging" order="22" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" order="23" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="ifrs-full_AdjustmentsForProvisions" order="24" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" xlink:to="Alior_AdjustmentForShortTermLeasePayments" order="25" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" order="27" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="Alior_CashFlowsFromUsedInOperatingActivitiesBeforeTax" order="26" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:to="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="31" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:to="ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" order="32" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:to="Alior_PurchaseOfFinancialAssetsAtAmortisedCost" order="33" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_InflowsOfCashFromInvestingActivities" xlink:to="ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="35" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_InflowsOfCashFromInvestingActivities" xlink:to="Alior_ProceedsFromSalesOfFinancialAssetsAtAmortisedCost" order="36" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_InflowsOfCashFromInvestingActivities" order="34" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_OutflowsOfCashFromInvestingActivities" order="30" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInFinancingActivitiesOutflows" xlink:to="Alior_RepaymentsOfSubordinatedLiabilitiesPrincipal" order="40" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInFinancingActivitiesOutflows" xlink:to="Alior_RepaymentsOfSubordinatedLiabilitiesInterest" order="41" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInFinancingActivitiesOutflows" xlink:to="Alior_LeasePaymentsPrincipal" order="42" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInFinancingActivitiesOutflows" xlink:to="Alior_LeasePaymentsInterest" order="43" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="Alior_CashFlowsFromUsedInFinancingActivitiesInflows" xlink:to="ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures" order="45" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="Alior_CashFlowsFromUsedInFinancingActivitiesInflows" order="44" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="Alior_CashFlowsFromUsedInFinancingActivitiesOutflows" order="39" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities" order="28" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities" order="37" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities" order="46" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
</linkbase>